; Configuration file for Duet 3 (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.2.3 on Wed May 26 2021 19:44:39 GMT+0000 (Coordinated Universal Time)

; General preferences
G90                                                ; send absolute coordinates...
M83                                                ; ...but relative extruder moves
M550 P"Duet3"                                     ; set printer name
M669 K1                                            ; select CoreXY mode

; Drives
M569 P0.0 S1 D3                         ; physical drive 0.0 goes forwards
M569 P0.1 S1 D3                         ; physical drive 0.1 goes forwards
M569 P0.2 S1 D3                         ; physical drive 0.2 goes forwards
M569 P0.3 S1 D3                         ; physical drive 0.3 goes forwards
M569 P0.4 S1 D3                         ; physical drive 0.4 goes forwards
M569 P0.5 S1 D3                         ; physical drive 0.5 goes forwards
M584 X0.4 Y0.3 Z0.0:0.1:0.2 E0.5        ; set drive mapping
M350 X16 Y16 Z16 E16 I1                 ; configure microstepping with interpolation

M92 X160.00 Y160.00 Z1600.00 E873.08               ; set steps per mm
M566 X400.00 Y400.00 Z6.00 E120.00                 ; set maximum instantaneous speed changes (mm/min)
M203 X10800.00 Y10800.00 Z1000.00 E1600.00         ; set maximum speeds (mm/min)
M201 X3000.00 Y3000.00 Z100.00 E3600.00                ; set accelerations (mm/s^2)
M906 X1000 Y1000 Z1000 E800 I30                    ; set motor currents (mA) and motor idle factor in per cent
M84 S30                                            ; Set idle timeout

; Axis Limits
M208 X15 Y15 Z0 S1                                 ; set axis minima
M208 X500 Y500 Z500 S0                             ; set axis maxima

; Endstops
M574 X1 S1 P"io2.in"                               ; configure active-high endstop
M574 Y1 S1 P"io1.in"                               ; configure active-high endstop
    

; Z-Probe
M950 S0 C"io7.out"                                 ; create servo pin 0 for BLTouch
M558 P9 C"^io7.in" H5 F54 T6000                    ; set Z probe type to bltouch and the dive height + speeds
G31 P500 X-28 Y-13 Z0.9                            ; set Z probe trigger value, offset and trigger height
M557 X50:500 Y50:500 S50                           ; define mesh grid

; Heaters
M308 S0 P"temp0" Y"thermistor" T100000 B3950 A"Bed"        ; configure sensor 0 as thermistor on pin temp0
M950 H0 C"out1" T0                                 ; create bed heater output on out1 and map it to sensor 0
M307 H0 B0 S1.00                                   ; disable bang-bang mode for the bed heater and set PWM limit
M140 H0                                            ; map heated bed to heater 0
M143 H0 S120                                       ; set temperature limit for heater 0 to 120C
M308 S1 P"temp1" Y"thermistor" T100000 B4138 A"Hotend"       ; configure sensor 1 as thermistor on pin temp1
M950 H1 C"out2" T1                                 ; create nozzle heater output on out2 and map it to sensor 1
M307 H1 B0 S1.00                                   ; disable bang-bang mode for heater  and set PWM limit
M143 H1 S280                                       ; set temperature limit for heater 1 to 280C

; Fans
M950 F0 C"out7" Q500                               ; create fan 0 on pin out7 and set its frequency
M106 P0 C"Hotend fan" S1 H1 T45                    ; set fan 0 value. Thermostatic control is turned on
M950 F1 C"out4"                                    ; create fan 1 on pin out4
M106 P1 C"Layer fan" S1 ;;H-1                        ; set fan 1 value. Thermostatic control is turned off

; Tools
M563 P0 D0 H1 F0:1                                 ; define tool 0
G10 P0 X0 Y0 Z0                                    ; set tool 0 axis offsets
G10 P0 R0 S0                                       ; set initial tool 0 active and standby temperatures to 0C

; Custom settings are not defined

; Miscellaneous
M575 P1 S1 B57600                                  ; enable support for PanelDue
M501                                               ; load saved parameters from non-volatile memory
M911 S10 R11 P"M913 X0 Y0 G91 M83 G1 Z3 E-5 F1000" ; set voltage thresholds and actions to run on power loss
M404 N1.75 D0.4                                    ; Filament width and nozzle diameter

